Subject: Re: [Spridgets] Oil Change

From: Rick Fisk via Spridgets <[email-masked]>
Date: Sat, 30 Jul 2022 00:48:38 -0400

Hi Mike,

Based on my experience this is completely normal, especially with larger than stock push rods.  I pour a quart of oil in and wait five miutes or so before adding the next quart.  Works the same for my 948 and 1275 engines.

Rick

PS - I'm enjoying the sunshine in Hesperia for the next few days.  Hot up here!!!  :-)

> On Jul 30, 2022, at 12:04 AM, Michael MacLean via Spridgets <[email-masked]> wrote:
> 
> 
> Did an oil and filter change for my Bugeye today.  One thing that has always bothered me since I built this 1275 was how slow the oil was to go down through the head to the pan. I have a raised valve cover for room for the 1.5 rockers.  I can pour two quarts of oil in the filler neck and then I have to wait for it to go down.  It fills up the entire valve cover and takes several minutes before I can pour the 3rd quart in.  When I built the motor I used hollow pushrods of a larger diameter than the standard type, but I had the through holes in the head for the pushrods enlarged as required for these pushrods.  Maybe the holes are not big enough in diameter.  Would this be a problem in normal operation of returning the oil to the pan while running?  I have put 3000 miles plus on this engine since the rebuild and it is still running great, but the oil pressure reads 90 psi on start up and goes down just below 80 psi when warm at speed.  For some reason the engine runs fine and puts out plenty of power.  It's just every time I do an oil change the slow drain into the engine makes me wonder.
> Mike MacLean
> ------------------------

------------------------

[email-masked]

Donate: http://www.team.net/donate.html
Suggested annual donation: $12.75

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]